import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'sz-quick-actions-card': SzQuickActionsCard;
    }
}
export interface IQuickAction {
    label: string;
    icon?: string;
    primary?: boolean;
    url?: string;
}
export declare class SzQuickActionsCard extends DeesElement {
    static demo: () => TemplateResult<1>;
    accessor actions: IQuickAction[];
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private handleActionClick;
}
